Name:       nagios-rad_eap_test
Version:    0.23
Release:    %mkrel 9
Summary:    Nagios compatible shell script used for testing radius EAP methods
Group:      Networking/Other
License:    BSD
URL:        http://wiki.eduroam.cz/rad_eap_test/
Source:     http://wiki.eduroam.cz/rad_eap_test/rad_eap_test-%{version}.tar.bz2
BuildArch:  noarch

%description
rad_eap_test is used to test availability of radius servers in monitoring
solutions as nagios. rad_eap_test is only wrapper shell script around
eapol_test from wpa_supplicant project. rad_eap_test  generates configuration
for eapol_test, runs it and after processing eapol_test messages returns status
code. Status code is processed by monitoring tools as nagios.

%prep
%setup -q -n rad_eap_test-%{version}

# fix eapol_test location
perl -pi -e 's|EAPOL_PROG=.*|EAPOL_PROG=%{_sbindir}/eapol_test|' rad_eap_test

%build

%install
install -d -m 755 %{buildroot}%{_datadir}/nagios/plugins
install -m 755 rad_eap_test %{buildroot}%{_datadir}/nagios/plugins

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/rad_eap_test.cfg <<'EOF'
define command {
	command_name    rad_eap_test
	command_line    %{_datadir}/nagios/plugins/rad_eap_test -H $HOSTADDRESS$
}
EOF

%files
%doc ChangeLog COPYING README doc
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/rad_eap_test.cfg
%{_datadir}/nagios/plugins/rad_eap_test





%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.23-9.mga8
+ Revision: 1492172
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.23-8.mga7
+ Revision: 1264654
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.23-7.mga6
+ Revision: 930931
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.23-6.mga5
+ Revision: 751200
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.23-5.mga5
+ Revision: 682789
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.23-4.mga4
+ Revision: 508234
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 0.23-2.mga1
+ Revision: 63032
- imported package nagios-rad_eap_test


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.23-2mdv2011.0
+ Revision: 612987
- the mass rebuild of 2010.1 packages

* Fri Apr 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdv2010.1
+ Revision: 535484
- import nagios-rad_eap_test


* Fri Apr 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdv2010.1
- first mdv package
